> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Storage usage series

> Consumption statistics is updated in near real-time as a standard practice.
However, the frequency of updates can vary, but they are typically available within a 60 minutes period.
Exceptions, such as maintenance periods, may delay data beyond 60 minutes until servers resume and backfill missing statistics.   
  
Shows storage usage data in series format filtered by clients, storages and interval.



## OpenAPI

````yaml /api-reference/services_documented/object_storage_api.yaml post /storage/stats/v1/storage/usage/series
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
    x-displayName: Notifications
  - name: SSHKeys
    x-displayName: SSHKeys
  - name: Storage Locations
    x-displayName: Storage Locations
  - name: Storage
    x-displayName: Storage
  - name: Storage Statistics
    x-displayName: Storage Statistics
  - name: S3-Compatible Storage
    x-displayName: S3-Compatible Storage
  - name: SFTP Storage
    x-displayName: SFTP Storage
paths:
  /storage/stats/v1/storage/usage/series:
    post:
      tags:
        - Storage Statistics
      summary: Storage usage series
      description: >-
        Consumption statistics is updated in near real-time as a standard
        practice.

        However, the frequency of updates can vary, but they are typically
        available within a 60 minutes period.

        Exceptions, such as maintenance periods, may delay data beyond 60
        minutes until servers resume and backfill missing statistics.   
          
        Shows storage usage data in series format filtered by clients, storages
        and interval.
      operationId: storageUsageSeriesHttpPost
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                from:
                  type: string
                  description: a From date filter
                  example: '2006-01-02'
                granularity:
                  type: string
                  description: |-
                    a Granularity is period of time for grouping data
                    Valid values are: 1h, 12h, 24h
                  example: 12h
                locations:
                  type: array
                  description: a Locations list of filter
                  example:
                    - s-region-1
                    - s-region-2
                  items:
                    type: string
                source:
                  type: integer
                  description: a Source is deprecated parameter
                  format: uint8
                storages:
                  type: array
                  description: a Storages list of filter
                  example:
                    - 123-myStorage
                  items:
                    type: string
                to:
                  type: string
                  description: a To date filter
                  example: '2006-01-02'
                ts_string:
                  type: boolean
                  description: >-
                    a TsString is configurator of response time format

                    switch response from unix time format to RFC3339
                    (2006-01-02T15:04:05Z07:00)
        required: false
      responses:
        '200':
          description: StorageUsageSeriesEndpointRes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageUsageSeriesEndpointRes'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            response = client.storage.statistics.get_usage_series()
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n\t\"github.com/G-Core/gcore-go/storage\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Storage.Statistics.GetUsageSeries(context.TODO(), storage.StatisticGetUsageSeriesParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
components:
  schemas:
    StorageUsageSeriesEndpointRes:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/StorageUsageSeriesServiceRes'
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
    StorageUsageSeriesServiceRes:
      type: object
      properties:
        clients:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ClientStats'
          description: a Clients grouped data
    ClientStats:
      type: object
      properties:
        file_quantity_sum_max:
          type: integer
          description: a FileQuantitySumMax is max sum of files quantity for grouped period
          format: uint64
        id:
          type: integer
          description: an ID of client
          format: int64
        locations:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/LocationStats'
          description: a Locations grouped data
        requests_in_sum:
          type: integer
          description: a RequestsInSum is sum of incoming requests for grouped period
          format: uint64
        requests_out_edges_sum:
          type: integer
          description: >-
            a RequestsOutEdgesSum is sum of out edges requests for grouped
            period
          format: uint64
        requests_out_wo_edges_sum:
          type: integer
          description: >-
            a RequestsOutWoEdgesSum is sum of out no edges requests for grouped
            period
          format: uint64
        requests_sum:
          type: integer
          description: a RequestsSum is sum of all requests for grouped period
          format: uint64
        size_sum_bytes_hour:
          type: integer
          description: a SizeSumBytesHour is sum of bytes hour for grouped period
          format: uint64
        size_sum_max:
          type: integer
          description: a SizeSumMax is max sum of all files sizes for grouped period
          format: uint64
        size_sum_mean:
          type: integer
          description: a SizeSumMean is mean sum of all files sizes for grouped period
          format: uint64
        traffic_in_sum:
          type: integer
          description: a TrafficInSum is sum of incoming traffic for grouped period
          format: uint64
        traffic_out_edges_sum:
          type: integer
          description: a TrafficOutEdgesSum is sum of out edges traffic for grouped period
          format: uint64
        traffic_out_wo_edges_sum:
          type: integer
          description: >-
            a TrafficOutWoEdgesSum is sum of out no edges traffic for grouped
            period
          format: uint64
        traffic_sum:
          type: integer
          description: a TrafficSum is sum of all traffic for grouped period
          format: uint64
    LocationStats:
      type: object
      properties:
        file_quantity_sum_max:
          type: integer
          description: a FileQuantitySumMax is max sum of files quantity for grouped period
          format: uint64
        name:
          type: string
          description: a Name of location
        requests_in_sum:
          type: integer
          description: a RequestsInSum is sum of incoming requests for grouped period
          format: uint64
        requests_out_edges_sum:
          type: integer
          description: >-
            a RequestsOutEdgesSum is sum of out edges requests for grouped
            period
          format: uint64
        requests_out_wo_edges_sum:
          type: integer
          description: >-
            a RequestsOutWoEdgesSum is sum of out no edges requests for grouped
            period
          format: uint64
        requests_sum:
          type: integer
          description: a RequestsSum is sum of all requests for grouped period
          format: uint64
        size_sum_bytes_hour:
          type: integer
          description: a SizeSumBytesHour is sum of bytes hour for grouped period
          format: uint64
        size_sum_max:
          type: integer
          description: a SizeSumMax is max sum of all files sizes for grouped period
          format: uint64
        size_sum_mean:
          type: integer
          description: a SizeSumMean is mean sum of all files sizes for grouped period
          format: uint64
        storages:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/StorageStats'
          description: a Storages grouped data
        traffic_in_sum:
          type: integer
          description: a TrafficInSum is sum of incoming traffic for grouped period
          format: uint64
        traffic_out_edges_sum:
          type: integer
          description: a TrafficOutEdgesSum is sum of out edges traffic for grouped period
          format: uint64
        traffic_out_wo_edges_sum:
          type: integer
          description: >-
            a TrafficOutWoEdgesSum is sum of out no edges traffic for grouped
            period
          format: uint64
        traffic_sum:
          type: integer
          description: a TrafficSum is sum of all traffic for grouped period
          format: uint64
    StorageStats:
      type: object
      properties:
        buckets_series:
          type: object
          additionalProperties:
            type: array
            items:
              type: array
              items:
                type: object
          description: >-
            a BucketsSeries is max bucket files count for grouped period
            {name:[[timestamp, count]]}
          example:
            bucketA:
              - - 1632748614
                - 1
              - - 1632748615
                - 2
              - - 1632748616
                - 2
              - - 1632748617
                - 1
        file_quantity_sum_max:
          type: integer
          description: a FileQuantitySumMax is max sum of files quantity for grouped period
          format: uint64
        name:
          type: string
          description: a Name of storage
        requests_in_series:
          type: array
          description: >-
            a RequestsInSeries is sum of incoming requests for grouped period
            [[timestamp, count]]
          example:
            - - 1632748614
              - 1
            - - 1632748615
              - 2
            - - 1632748616
              - 2
            - - 1632748617
              - 1
          items:
            type: array
            items:
              type: object
        requests_in_sum:
          type: integer
          description: a RequestsInSum is sum of incoming requests for grouped period
          format: uint64
        requests_out_edges_series:
          type: array
          description: >-
            a RequestsOutWoEdgesSeries is sum of out requests (only edges) for
            grouped period [[timestamp, count]]
          example:
            - - 1632748614
              - 1
            - - 1632748615
              - 2
            - - 1632748616
              - 2
            - - 1632748617
              - 1
          items:
            type: array
            items:
              type: object
        requests_out_edges_sum:
          type: integer
          description: >-
            a RequestsOutEdgesSum is sum of out edges requests for grouped
            period
          format: uint64
        requests_out_wo_edges_series:
          type: array
          description: >-
            a RequestsOutWoEdgesSeries is sum of out requests (without edges)
            for grouped period [[timestamp, count]]
          example:
            - - 1632748614
              - 1
            - - 1632748615
              - 2
            - - 1632748616
              - 2
            - - 1632748617
              - 1
          items:
            type: array
            items:
              type: object
        requests_out_wo_edges_sum:
          type: integer
          description: >-
            a RequestsOutWoEdgesSum is sum of out no edges requests for grouped
            period
          format: uint64
        requests_series:
          type: array
          description: >-
            a RequestsSeries is sum of out requests for grouped period
            [[timestamp, count]]
          example:
            - - 1632748614
              - 1
            - - 1632748615
              - 2
            - - 1632748616
              - 2
            - - 1632748617
              - 1
          items:
            type: array
            items:
              type: object
        requests_sum:
          type: integer
          description: a RequestsSum is sum of all requests for grouped period
          format: uint64
        size_bytes_hour_series:
          type: array
          description: >-
            a SizeBytesHourSeries is value that displays how many bytes were
            stored per hour [[timestamp, count]]
          example:
            - - 1632748614
              - 10245210
            - - 1632748615
              - 30245210
            - - 1632748616
              - 30245210
            - - 1632748617
              - 35245210
          items:
            type: array
            items:
              type: object
        size_max_series:
          type: array
          description: >-
            a SizeMaxSeries is max of files size for grouped period [[timestamp,
            count]]
          example:
            - - 1632748614
              - 1
            - - 1632748615
              - 2
            - - 1632748616
              - 2
            - - 1632748617
              - 1
          items:
            type: array
            items:
              type: object
        size_mean_series:
          type: array
          description: >-
            a SizeMeanSeries is mean of files size for grouped period
            [[timestamp, count]]
          example:
            - - 1632748614
              - 1
            - - 1632748615
              - 2
            - - 1632748616
              - 2
            - - 1632748617
              - 1
          items:
            type: array
            items:
              type: object
        size_sum_bytes_hour:
          type: integer
          description: a SizeSumBytesHour is sum of bytes hour for grouped period
          format: uint64
        size_sum_max:
          type: integer
          description: a SizeSumMax is max sum of all files sizes for grouped period
          format: uint64
        size_sum_mean:
          type: integer
          description: a SizeSumMean is mean sum of all files sizes for grouped period
          format: uint64
        traffic_in_series:
          type: array
          description: >-
            a TrafficInSeries is sum of incoming traffic bytes for grouped
            period [[timestamp, count]]
          example:
            - - 1632748614
              - 1
            - - 1632748615
              - 2
            - - 1632748616
              - 2
            - - 1632748617
              - 1
          items:
            type: array
            items:
              type: object
        traffic_in_sum:
          type: integer
          description: a TrafficInSum is sum of incoming traffic for grouped period
          format: uint64
        traffic_out_edges_series:
          type: array
          description: >-
            a TrafficOutWoEdgesSeries is sum of out traffic bytes (only edges)
            for grouped period [[timestamp, count]]
          example:
            - - 1632748614
              - 1
            - - 1632748615
              - 2
            - - 1632748616
              - 2
            - - 1632748617
              - 1
          items:
            type: array
            items:
              type: object
        traffic_out_edges_sum:
          type: integer
          description: a TrafficOutEdgesSum is sum of out edges traffic for grouped period
          format: uint64
        traffic_out_wo_edges_series:
          type: array
          description: >-
            a TrafficOutWoEdgesSeries is sum of out traffic bytes (without
            edges) for grouped period [[timestamp, count]]
          example:
            - - 1632748614
              - 1
            - - 1632748615
              - 2
            - - 1632748616
              - 2
            - - 1632748617
              - 1
          items:
            type: array
            items:
              type: object
        traffic_out_wo_edges_sum:
          type: integer
          description: >-
            a TrafficOutWoEdgesSum is sum of out no edges traffic for grouped
            period
          format: uint64
        traffic_series:
          type: array
          description: >-
            a TrafficSeries is sum of traffic bytes for grouped period
            [[timestamp, count]]
          example:
            - - 1632748614
              - 1
            - - 1632748615
              - 2
            - - 1632748616
              - 2
            - - 1632748617
              - 1
          items:
            type: array
            items:
              type: object
        traffic_sum:
          type: integer
          description: a TrafficSum is sum of all traffic for grouped period
          format: uint64
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````